# scaleway_ip_facts – Gather facts about the Scaleway ips available

New in version 2.7.

- DEPRECATED
- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Deprecated in favour of `_info` module.
Alternative: | Use scaleway_ip_info instead.

## Synopsis

- Gather facts about the Scaleway ips available.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer | Default: 30 | HTTP timeout to Scaleway API in seconds. aliases: timeout
api_token string |  | Scaleway OAuth token. aliases: oauth_token
api_url string | Default: "https://api.scaleway.com" | Scaleway API URL. aliases: base_url
query_parameters dictionary | Default: {} | List of parameters passed to the query string.

region
- / required
added in 2.8

Choices:
- ams1
- EMEA-NL-EVS
- par1
- EMEA-FR-PAR1

Scaleway region to use (for example par1).

validate_certs
boolean

Choices:
- no
- yes ←

Validate SSL certs of the Scaleway API.

## Notes

Note

- Also see the API documentation on https://developer.scaleway.com/
- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `SCW_TOKEN`, `SCW_API_KEY`, `SCW_OAUTH_TOKEN` or `SCW_API_TOKEN`.
- If one wants to use a different `api_url` one can also set the `SCW_API_URL` environment variable.

## Examples

    - name: Gather Scaleway ips facts
      scaleway_ip_facts:
        region: par1

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
scaleway_ip_facts complex | success | Response from Scaleway API Sample: {'scaleway_ip_facts': [{'address': '163.172.170.243', 'id': 'ea081794-a581-8899-8451-386ddaf0a451', 'organization': '3f709602-5e6c-4619-b80c-e324324324af', 'reverse': None, 'server': {'id': '12f19bc7-109c-4517-954c-e6b3d0311363', 'name': 'scw-e0d158'}}]}

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Yanis Guenane (@Spredzy)
- Remy Leone (@sieben)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.